Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network166.167.136.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
Network address
166.167.136.0
Broadcast address
166.167.137.255
First usable
166.167.136.1
Last usable
166.167.137.254
Usable hosts
510 (512 less the network and broadcast addresses)
Subnet mask
255.255.254.0
Wildcard mask
0.0.1.255 (Cisco ACLs, OSPF)
Prefix length
/23
Type
Public public
Old class
B (default /16)
As numbers
Hex A6A78800 · Integer 2795997184 to 2795997695
Reverse DNS zones
136.167.166.in-addr.arpa
137.167.166.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10100110.10100111.10001000.00000000166.167.136.0
Subnet mask11111111.11111111.11111110.00000000255.255.254.0
Network10100110.10100111.10001000.00000000166.167.136.0
Broadcast10100110.10100111.10001001.11111111166.167.137.255
Split into smaller subnets/30

166.167.136.0/23 makes 128 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1166.167.136.0/30166.167.136.1 to 166.167.136.2166.167.136.32
2166.167.136.4/30166.167.136.5 to 166.167.136.6166.167.136.72
3166.167.136.8/30166.167.136.9 to 166.167.136.10166.167.136.112
4166.167.136.12/30166.167.136.13 to 166.167.136.14166.167.136.152
5166.167.136.16/30166.167.136.17 to 166.167.136.18166.167.136.192
6166.167.136.20/30166.167.136.21 to 166.167.136.22166.167.136.232
7166.167.136.24/30166.167.136.25 to 166.167.136.26166.167.136.272
8166.167.136.28/30166.167.136.29 to 166.167.136.30166.167.136.312
9166.167.136.32/30166.167.136.33 to 166.167.136.34166.167.136.352
10166.167.136.36/30166.167.136.37 to 166.167.136.38166.167.136.392
11166.167.136.40/30166.167.136.41 to 166.167.136.42166.167.136.432
12166.167.136.44/30166.167.136.45 to 166.167.136.46166.167.136.472
13166.167.136.48/30166.167.136.49 to 166.167.136.50166.167.136.512
14166.167.136.52/30166.167.136.53 to 166.167.136.54166.167.136.552
15166.167.136.56/30166.167.136.57 to 166.167.136.58166.167.136.592
16166.167.136.60/30166.167.136.61 to 166.167.136.62166.167.136.632
17166.167.136.64/30166.167.136.65 to 166.167.136.66166.167.136.672
18166.167.136.68/30166.167.136.69 to 166.167.136.70166.167.136.712
19166.167.136.72/30166.167.136.73 to 166.167.136.74166.167.136.752
20166.167.136.76/30166.167.136.77 to 166.167.136.78166.167.136.792
21166.167.136.80/30166.167.136.81 to 166.167.136.82166.167.136.832
22166.167.136.84/30166.167.136.85 to 166.167.136.86166.167.136.872
23166.167.136.88/30166.167.136.89 to 166.167.136.90166.167.136.912
24166.167.136.92/30166.167.136.93 to 166.167.136.94166.167.136.952
25166.167.136.96/30166.167.136.97 to 166.167.136.98166.167.136.992
26166.167.136.100/30166.167.136.101 to 166.167.136.102166.167.136.1032
27166.167.136.104/30166.167.136.105 to 166.167.136.106166.167.136.1072
28166.167.136.108/30166.167.136.109 to 166.167.136.110166.167.136.1112
29166.167.136.112/30166.167.136.113 to 166.167.136.114166.167.136.1152
30166.167.136.116/30166.167.136.117 to 166.167.136.118166.167.136.1192
31166.167.136.120/30166.167.136.121 to 166.167.136.122166.167.136.1232
32166.167.136.124/30166.167.136.125 to 166.167.136.126166.167.136.1272
33166.167.136.128/30166.167.136.129 to 166.167.136.130166.167.136.1312
34166.167.136.132/30166.167.136.133 to 166.167.136.134166.167.136.1352
35166.167.136.136/30166.167.136.137 to 166.167.136.138166.167.136.1392
36166.167.136.140/30166.167.136.141 to 166.167.136.142166.167.136.1432
37166.167.136.144/30166.167.136.145 to 166.167.136.146166.167.136.1472
38166.167.136.148/30166.167.136.149 to 166.167.136.150166.167.136.1512
39166.167.136.152/30166.167.136.153 to 166.167.136.154166.167.136.1552
40166.167.136.156/30166.167.136.157 to 166.167.136.158166.167.136.1592
41166.167.136.160/30166.167.136.161 to 166.167.136.162166.167.136.1632
42166.167.136.164/30166.167.136.165 to 166.167.136.166166.167.136.1672
43166.167.136.168/30166.167.136.169 to 166.167.136.170166.167.136.1712
44166.167.136.172/30166.167.136.173 to 166.167.136.174166.167.136.1752
45166.167.136.176/30166.167.136.177 to 166.167.136.178166.167.136.1792
46166.167.136.180/30166.167.136.181 to 166.167.136.182166.167.136.1832
47166.167.136.184/30166.167.136.185 to 166.167.136.186166.167.136.1872
48166.167.136.188/30166.167.136.189 to 166.167.136.190166.167.136.1912
49166.167.136.192/30166.167.136.193 to 166.167.136.194166.167.136.1952
50166.167.136.196/30166.167.136.197 to 166.167.136.198166.167.136.1992
51166.167.136.200/30166.167.136.201 to 166.167.136.202166.167.136.2032
52166.167.136.204/30166.167.136.205 to 166.167.136.206166.167.136.2072
53166.167.136.208/30166.167.136.209 to 166.167.136.210166.167.136.2112
54166.167.136.212/30166.167.136.213 to 166.167.136.214166.167.136.2152
55166.167.136.216/30166.167.136.217 to 166.167.136.218166.167.136.2192
56166.167.136.220/30166.167.136.221 to 166.167.136.222166.167.136.2232
57166.167.136.224/30166.167.136.225 to 166.167.136.226166.167.136.2272
58166.167.136.228/30166.167.136.229 to 166.167.136.230166.167.136.2312
59166.167.136.232/30166.167.136.233 to 166.167.136.234166.167.136.2352
60166.167.136.236/30166.167.136.237 to 166.167.136.238166.167.136.2392
61166.167.136.240/30166.167.136.241 to 166.167.136.242166.167.136.2432
62166.167.136.244/30166.167.136.245 to 166.167.136.246166.167.136.2472
63166.167.136.248/30166.167.136.249 to 166.167.136.250166.167.136.2512
64166.167.136.252/30166.167.136.253 to 166.167.136.254166.167.136.2552
65166.167.137.0/30166.167.137.1 to 166.167.137.2166.167.137.32
66166.167.137.4/30166.167.137.5 to 166.167.137.6166.167.137.72
67166.167.137.8/30166.167.137.9 to 166.167.137.10166.167.137.112
68166.167.137.12/30166.167.137.13 to 166.167.137.14166.167.137.152
69166.167.137.16/30166.167.137.17 to 166.167.137.18166.167.137.192
70166.167.137.20/30166.167.137.21 to 166.167.137.22166.167.137.232
71166.167.137.24/30166.167.137.25 to 166.167.137.26166.167.137.272
72166.167.137.28/30166.167.137.29 to 166.167.137.30166.167.137.312
73166.167.137.32/30166.167.137.33 to 166.167.137.34166.167.137.352
74166.167.137.36/30166.167.137.37 to 166.167.137.38166.167.137.392
75166.167.137.40/30166.167.137.41 to 166.167.137.42166.167.137.432
76166.167.137.44/30166.167.137.45 to 166.167.137.46166.167.137.472
77166.167.137.48/30166.167.137.49 to 166.167.137.50166.167.137.512
78166.167.137.52/30166.167.137.53 to 166.167.137.54166.167.137.552
79166.167.137.56/30166.167.137.57 to 166.167.137.58166.167.137.592
80166.167.137.60/30166.167.137.61 to 166.167.137.62166.167.137.632
81166.167.137.64/30166.167.137.65 to 166.167.137.66166.167.137.672
82166.167.137.68/30166.167.137.69 to 166.167.137.70166.167.137.712
83166.167.137.72/30166.167.137.73 to 166.167.137.74166.167.137.752
84166.167.137.76/30166.167.137.77 to 166.167.137.78166.167.137.792
85166.167.137.80/30166.167.137.81 to 166.167.137.82166.167.137.832
86166.167.137.84/30166.167.137.85 to 166.167.137.86166.167.137.872
87166.167.137.88/30166.167.137.89 to 166.167.137.90166.167.137.912
88166.167.137.92/30166.167.137.93 to 166.167.137.94166.167.137.952
89166.167.137.96/30166.167.137.97 to 166.167.137.98166.167.137.992
90166.167.137.100/30166.167.137.101 to 166.167.137.102166.167.137.1032
91166.167.137.104/30166.167.137.105 to 166.167.137.106166.167.137.1072
92166.167.137.108/30166.167.137.109 to 166.167.137.110166.167.137.1112
93166.167.137.112/30166.167.137.113 to 166.167.137.114166.167.137.1152
94166.167.137.116/30166.167.137.117 to 166.167.137.118166.167.137.1192
95166.167.137.120/30166.167.137.121 to 166.167.137.122166.167.137.1232
96166.167.137.124/30166.167.137.125 to 166.167.137.126166.167.137.1272
97166.167.137.128/30166.167.137.129 to 166.167.137.130166.167.137.1312
98166.167.137.132/30166.167.137.133 to 166.167.137.134166.167.137.1352
99166.167.137.136/30166.167.137.137 to 166.167.137.138166.167.137.1392
100166.167.137.140/30166.167.137.141 to 166.167.137.142166.167.137.1432
101166.167.137.144/30166.167.137.145 to 166.167.137.146166.167.137.1472
102166.167.137.148/30166.167.137.149 to 166.167.137.150166.167.137.1512
103166.167.137.152/30166.167.137.153 to 166.167.137.154166.167.137.1552
104166.167.137.156/30166.167.137.157 to 166.167.137.158166.167.137.1592
105166.167.137.160/30166.167.137.161 to 166.167.137.162166.167.137.1632
106166.167.137.164/30166.167.137.165 to 166.167.137.166166.167.137.1672
107166.167.137.168/30166.167.137.169 to 166.167.137.170166.167.137.1712
108166.167.137.172/30166.167.137.173 to 166.167.137.174166.167.137.1752
109166.167.137.176/30166.167.137.177 to 166.167.137.178166.167.137.1792
110166.167.137.180/30166.167.137.181 to 166.167.137.182166.167.137.1832
111166.167.137.184/30166.167.137.185 to 166.167.137.186166.167.137.1872
112166.167.137.188/30166.167.137.189 to 166.167.137.190166.167.137.1912
113166.167.137.192/30166.167.137.193 to 166.167.137.194166.167.137.1952
114166.167.137.196/30166.167.137.197 to 166.167.137.198166.167.137.1992
115166.167.137.200/30166.167.137.201 to 166.167.137.202166.167.137.2032
116166.167.137.204/30166.167.137.205 to 166.167.137.206166.167.137.2072
117166.167.137.208/30166.167.137.209 to 166.167.137.210166.167.137.2112
118166.167.137.212/30166.167.137.213 to 166.167.137.214166.167.137.2152
119166.167.137.216/30166.167.137.217 to 166.167.137.218166.167.137.2192
120166.167.137.220/30166.167.137.221 to 166.167.137.222166.167.137.2232
121166.167.137.224/30166.167.137.225 to 166.167.137.226166.167.137.2272
122166.167.137.228/30166.167.137.229 to 166.167.137.230166.167.137.2312
123166.167.137.232/30166.167.137.233 to 166.167.137.234166.167.137.2352
124166.167.137.236/30166.167.137.237 to 166.167.137.238166.167.137.2392
125166.167.137.240/30166.167.137.241 to 166.167.137.242166.167.137.2432
126166.167.137.244/30166.167.137.245 to 166.167.137.246166.167.137.2472
127166.167.137.248/30166.167.137.249 to 166.167.137.250166.167.137.2512
128166.167.137.252/30166.167.137.253 to 166.167.137.254166.167.137.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses